SpreadJS supports funnel charts. Use the GC.Spread.Sheets.Charts.ChartType.funnel property to get the chart type. Funnel chart show values across multiple stages in a process.
You can add a funnel chart to Spread and change its style using the chart API.
window.onload = function () {
var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), {sheetCount: 2});
initSpread(spread);
};
function initSpread(spread) {
var sheets = spread.sheets;
spread.suspendPaint();
// custom sheet style
setSheet(sheets);
setData(sheets[0], 'funnelChart');
initFunnel(sheets[0], GC.Spread.Sheets.Charts.ChartType.funnel);
setData(sheets[1], 'customStyle');
var customFunnelChart = initFunnel(sheets[1], GC.Spread.Sheets.Charts.ChartType.funnel);
setCustomStyle(customFunnelChart);
spread.resumePaint();
}
function setSheet(sheets) {
var columnWidths = [20, 100, 100];
for (var i = 0; i < sheets.length; i++) {
sheets[i].options.gridline.showHorizontalGridline = false;
sheets[i].options.gridline.showVerticalGridline = false;
sheets[i].getRange(1, 1, 6, 2)
.hAlign(GC.Spread.Sheets.HorizontalAlign.center)
.setBorder(new GC.Spread.Sheets.LineBorder('black', GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheets[i].getRange(1, 1, 1, 2).font('bold normal 10pt Arial');
for (var j = 0; j < columnWidths.length; j++) {
sheets[i].setColumnWidth(j, columnWidths[j]);
}
}
}
function initFunnel(sheet, chartType) {
sheet.resumePaint();
return sheet.charts.add((sheet.name() + chartType), chartType, 400, 0, 500, 400, "B2:C7");
}
function setCustomStyle(chart) {
var chartArea = chart.chartArea();
chartArea.backColor = {
type: GC.Spread.Sheets.Charts.PatternType.dottedPercent20,
foregroundColor: "rgb(0,176,80)",
backgroundColor: "background 1 0",
};
chart.chartArea(chartArea);
var dataLabels = chart.dataLabels();
dataLabels.showValue = true;
dataLabels.color = 'white';
chart.dataLabels(dataLabels);
var seriesCollection = chart.series();
var series1 = seriesCollection.get(0);
series1.backColor = "green";
seriesCollection.set(0, series1);
var title = chart.title();
title.text = "Product Email Campaign";
title.fontSize = 16;
chart.title(title);
}
function setData(sheet, sheetName) {
sheet.name(sheetName);
sheet.suspendPaint();
var dataArray = [
['Stage', 'Users'],
['Sent', 5676],
['Viewed', 3872],
['Clicked', 1668],
['Add to Cart', 640],
['Purchased', 565],
];
sheet.setArray(1, 1, dataArray);
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets-shapes/dist/gc.spread.sheets.shapes.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets-charts/dist/gc.spread.sheets.charts.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" class="sample-tutorial"></div>
</div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}

SpreadJS supports funnel charts. Use the GC.Spread.Sheets.Charts.ChartType.funnel property to get the chart type. Funnel chart show values across multiple stages in a process.
You can add a funnel chart to Spread and change its style using the chart API.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet />
<gc-worksheet />
</gc-spread-sheets>
</div>
</template>
<script setup>
import GC from "@mescius/spread-sheets";
import {
ref
} from "vue";
import "@mescius/spread-sheets-vue";
import "@mescius/spread-sheets-charts";
const spreadRef = ref(null);
function initSpread(spread) {
spreadRef.value = spread;
let sheets = spread.sheets;
spread.suspendPaint();
// custom sheet style
setSheet(sheets);
setData(sheets[0], "funnelChart");
initFunnel(sheets[0], GC.Spread.Sheets.Charts.ChartType.funnel);
setData(sheets[1], "customStyle");
let customFunnelChart = initFunnel(
sheets[1],
GC.Spread.Sheets.Charts.ChartType.funnel
);
setCustomStyle(customFunnelChart);
spread.resumePaint();
}
function setSheet(sheets) {
let columnWidths = [20, 100, 100];
for (let i = 0; i < sheets.length; i++) {
sheets[i].options.gridline.showHorizontalGridline = false;
sheets[i].options.gridline.showVerticalGridline = false;
sheets[i]
.getRange(1, 1, 6, 2)
.hAlign(GC.Spread.Sheets.HorizontalAlign.center)
.setBorder(
new GC.Spread.Sheets.LineBorder(
"black",
GC.Spread.Sheets.LineStyle.thin
), {
all: true,
}
);
sheets[i].getRange(1, 1, 1, 2).font("bold normal 10pt Arial");
for (let j = 0; j < columnWidths.length; j++) {
sheets[i].setColumnWidth(j, columnWidths[j]);
}
}
}
function initFunnel(sheet, chartType) {
sheet.resumePaint();
return sheet.charts.add(
sheet.name() + chartType,
chartType,
400,
0,
500,
400,
"B2:C7"
);
}
function setCustomStyle(chart) {
let chartArea = chart.chartArea();
chartArea.backColor = {
type: GC.Spread.Sheets.Charts.PatternType.dottedPercent20,
foregroundColor: "rgb(0,176,80)",
backgroundColor: "background 1 0",
};
chart.chartArea(chartArea);
let dataLabels = chart.dataLabels();
dataLabels.showValue = true;
dataLabels.color = "white";
chart.dataLabels(dataLabels);
let seriesCollection = chart.series();
let series1 = seriesCollection.get(0);
series1.backColor = "green";
seriesCollection.set(0, series1);
let title = chart.title();
title.text = "Product Email Campaign";
title.fontSize = 16;
chart.title(title);
}
function setData(sheet, sheetName) {
sheet.name(sheetName);
sheet.suspendPaint();
let dataArray = [
["Stage", "Users"],
["Sent", 5676],
["Viewed", 3872],
["Clicked", 1668],
["Add to Cart", 640],
["Purchased", 565],
];
sheet.setArray(1, 1, dataArray);
}
</script>
<style scoped>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-en': 'npm:@mescius/spread-sheets-resources-en/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-charts': 'npm:@mescius/spread-sheets-charts/index.js',
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

SpreadJS supports funnel charts. Use the GC.Spread.Sheets.Charts.ChartType.funnel property to get the chart type. Funnel chart show values across multiple stages in a process.
You can add a funnel chart to Spread and change its style using the chart API.
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import '@mescius/spread-sheets-shapes';
import '@mescius/spread-sheets-charts';
export function AppFunc() {
const initSpread = (spread) => {
let sheets = spread.sheets;
spread.suspendPaint();
// custom sheet style
setSheet(sheets);
setData(sheets[0], 'funnelChart');
initFunnel(sheets[0], GC.Spread.Sheets.Charts.ChartType.funnel);
setData(sheets[1], 'customStyle');
let customFunnelChart = initFunnel(sheets[1], GC.Spread.Sheets.Charts.ChartType.funnel);
setCustomStyle(customFunnelChart);
spread.resumePaint();
}
const setSheet = (sheets) => {
let columnWidths = [20, 100, 100];
for (let i = 0; i < sheets.length; i++) {
sheets[i].options.gridline.showHorizontalGridline = false;
sheets[i].options.gridline.showVerticalGridline = false;
sheets[i].getRange(1, 1, 6, 2)
.hAlign(GC.Spread.Sheets.HorizontalAlign.center)
.setBorder(new GC.Spread.Sheets.LineBorder('black', GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheets[i].getRange(1, 1, 1, 2).font('bold normal 10pt Arial');
for (let j = 0; j < columnWidths.length; j++) {
sheets[i].setColumnWidth(j, columnWidths[j]);
}
}
}
const initFunnel = (sheet, chartType) => {
sheet.resumePaint();
return sheet.charts.add((sheet.name() + chartType), chartType, 400, 0, 500, 400, "B2:C7");
}
const setCustomStyle = (chart) => {
let chartArea = chart.chartArea();
chartArea.backColor = {
type: GC.Spread.Sheets.Charts.PatternType.dottedPercent20,
foregroundColor: "rgb(0,176,80)",
backgroundColor: "background 1 0",
};
chart.chartArea(chartArea);
let dataLabels = chart.dataLabels();
dataLabels.showValue = true;
dataLabels.color = 'white';
chart.dataLabels(dataLabels);
let seriesCollection = chart.series();
let series1 = seriesCollection.get(0);
series1.backColor = "green"
seriesCollection.set(0, series1);
let title = chart.title();
title.text = "Funnel Chart";
title.fontSize = 16;
chart.title(title);
}
const setData = (sheet, sheetName) => {
sheet.name(sheetName);
sheet.suspendPaint();
let dataArray = [
['Stage', 'Users'],
['Sent', 5676],
['Viewed', 3872],
['Clicked', 1668],
['Add to Cart', 640],
['Purchased', 565],
];
sheet.setArray(1, 1, dataArray);
}
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet />
<Worksheet />
</SpreadSheets>
</div>
</div>);
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import '@mescius/spread-sheets-shapes';
import '@mescius/spread-sheets-charts';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
}
render() {
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
<Worksheet />
<Worksheet />
</SpreadSheets>
</div>
</div>);
}
initSpread(spread) {
let sheets = spread.sheets;
spread.suspendPaint();
// custom sheet style
this.setSheet(sheets);
this.setData(sheets[0], 'funnelChart');
this.initFunnel(sheets[0], GC.Spread.Sheets.Charts.ChartType.funnel);
this.setData(sheets[1], 'customStyle');
let customFunnelChart = this.initFunnel(sheets[1], GC.Spread.Sheets.Charts.ChartType.funnel);
this.setCustomStyle(customFunnelChart);
spread.resumePaint();
}
setSheet(sheets) {
let columnWidths = [20, 100, 100];
for (let i = 0; i < sheets.length; i++) {
sheets[i].options.gridline.showHorizontalGridline = false;
sheets[i].options.gridline.showVerticalGridline = false;
sheets[i].getRange(1, 1, 6, 2)
.hAlign(GC.Spread.Sheets.HorizontalAlign.center)
.setBorder(new GC.Spread.Sheets.LineBorder('black', GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheets[i].getRange(1, 1, 1, 2).font('bold normal 10pt Arial');
for (let j = 0; j < columnWidths.length; j++) {
sheets[i].setColumnWidth(j, columnWidths[j]);
}
}
}
initFunnel(sheet, chartType) {
sheet.resumePaint();
return sheet.charts.add((sheet.name() + chartType), chartType, 400, 0, 500, 400, "B2:C7");
}
setCustomStyle(chart) {
let chartArea = chart.chartArea();
chartArea.backColor = {
type: GC.Spread.Sheets.Charts.PatternType.dottedPercent20,
foregroundColor: "rgb(0,176,80)",
backgroundColor: "background 1 0",
};
chart.chartArea(chartArea);
let dataLabels = chart.dataLabels();
dataLabels.showValue = true;
dataLabels.color = 'white';
chart.dataLabels(dataLabels);
let seriesCollection = chart.series();
let series1 = seriesCollection.get(0);
series1.backColor = "green"
seriesCollection.set(0, series1);
let title = chart.title();
title.text = "Funnel Chart";
title.fontSize = 16;
chart.title(title);
}
setData(sheet, sheetName) {
sheet.name(sheetName);
sheet.suspendPaint();
let dataArray = [
['Stage', 'Users'],
['Sent', 5676],
['Viewed', 3872],
['Clicked', 1668],
['Add to Cart', 640],
['Purchased', 565],
];
sheet.setArray(1, 1, dataArray);
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height:100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-charts': 'npm:@mescius/spread-sheets-charts/index.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

SpreadJS supports funnel charts. Use the GC.Spread.Sheets.Charts.ChartType.funnel property to get the chart type. Funnel chart show values across multiple stages in a process.
You can add a funnel chart to Spread and change its style using the chart API.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import "@mescius/spread-sheets-shapes";
import '@mescius/spread-sheets-charts';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: '100%',
height: '100%',
overflow: 'hidden',
float: 'left'
};
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
let sheets = spread.sheets;
spread.suspendPaint();
// custom sheet style
this.setSheet(sheets);
this.setData(sheets[0], 'funnelChart');
this.initFunnel(sheets[0], GC.Spread.Sheets.Charts.ChartType.funnel);
this.setData(sheets[1], 'customStyle');
let customFunnelChart = this.initFunnel(sheets[1], GC.Spread.Sheets.Charts.ChartType.funnel);
this.setCustomStyle(customFunnelChart);
spread.resumePaint();
}
setSheet(sheets: GC.Spread.Sheets) {
let columnWidths = [20, 100, 100];
for (let i = 0; i < sheets.length; i++) {
sheets[i].options.gridline.showHorizontalGridline = false;
sheets[i].options.gridline.showVerticalGridline = false;
sheets[i].getRange(1, 1, 6, 2)
.hAlign(GC.Spread.Sheets.HorizontalAlign.center)
.setBorder(new GC.Spread.Sheets.LineBorder('black', GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheets[i].getRange(1, 1, 1, 2).font('bold normal 10pt Arial');
for (let j = 0; j < columnWidths.length; j++) {
sheets[i].setColumnWidth(j, columnWidths[j]);
}
}
}
initFunnel(sheet: GC.Spread.Sheets.Worksheet, chartType: GC.Spread.Sheets.Charts.ChartType) {
sheet.resumePaint();
return sheet.charts.add((sheet.name() + chartType), chartType, 400, 0, 500, 400, "B2:C7");
}
setCustomStyle(chart: GC.Spread.Sheets.Charts.Chart) {
let chartArea = chart.chartArea();
chartArea.backColor = {
type: GC.Spread.Sheets.Charts.PatternType.dottedPercent20,
foregroundColor: "rgb(0,176,80)",
backgroundColor: "background 1 0",
};
chart.chartArea(chartArea);
let dataLabels = chart.dataLabels();
dataLabels.showValue = true;
dataLabels.color = 'white';
chart.dataLabels(dataLabels);
let seriesCollection = chart.series();
let series1 = seriesCollection.get(0);
series1.backColor = "green"
seriesCollection.set(0, series1);
let title = chart.title();
title.text = "Product Email Campaign";
title.fontSize = 16;
chart.title(title);
}
setData(sheet: GC.Spread.Sheets.Worksheet, sheetName: string) {
sheet.name(sheetName);
sheet.suspendPaint();
let dataArray = [
['Stage', 'Users'],
['Sent', 5676],
['Viewed', 3872],
['Clicked', 1668],
['Add to Cart', 640],
['Purchased', 565],
];
sheet.setArray(1, 1, dataArray);
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet></gc-worksheet>
<gc-worksheet></gc-worksheet>
</gc-spread-sheets>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-charts': 'npm:@mescius/spread-sheets-charts/index.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);